#
# spec file for package ghc-funcmp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name funcmp
Name:           ghc-%{pkg_name}
Version:        1.8
Release:        1.11
Summary:        Functional MetaPost
License:        GPL-3.0+
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Functional MetaPost is a Haskell frontend to the MetaPost language by John
Hobby. Users write their graphics as Haskell programs, which then emit MetaPost
code that can be compiled into encapsulated PostScript files and smoothly
included into e.g. LaTeX.

A collection of useful examples how to use Functional MetaPost can be found in
the user's manual at
<http://download.savannah.nongnu.org/releases/funcmp/Manual_eng.ps>.
The document doesn't offer very much detail in terms of explanations, but the
code samples are quite helpful.

Further documentation can be found in the original thesis that describes the
implementation. The text is available in German at
<http://download.savannah.nongnu.org/releases/funcmp/Thesis.ps> and in English
at <http://download.savannah.nongnu.org/releases/funcmp/Thesis_eng.ps>.

Last but not least, there is a tutorial that offers many helpful examples
available in German at
<http://download.savannah.nongnu.org/releases/funcmp/Tutorial.ps> and in
English at
<http://download.savannah.nongnu.org/releases/funcmp/Tutorial_eng.ps>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/doc
%dir %{_datadir}/%{pkg_name}-%{version}/texmf
%{_datadir}/%{pkg_name}-%{version}/doc/FMPMain.hs
%{_datadir}/%{pkg_name}-%{version}/doc/Manual.lhs
%{_datadir}/%{pkg_name}-%{version}/doc/Manual_eng.lhs
%{_datadir}/%{pkg_name}-%{version}/doc/README.doc
%{_datadir}/%{pkg_name}-%{version}/doc/Tutorial.lhs
%{_datadir}/%{pkg_name}-%{version}/doc/Tutorial_eng.lhs
%{_datadir}/%{pkg_name}-%{version}/doc/fmp.ini
%{_datadir}/%{pkg_name}-%{version}/doc/lhs2TeX.fmt
%{_datadir}/%{pkg_name}-%{version}/texmf/FuncMP.mp
%{_datadir}/%{pkg_name}-%{version}/texmf/fmp1.mf
%{_datadir}/%{pkg_name}-%{version}/texmf/fmp24.mf
%{_datadir}/%{pkg_name}-%{version}/texmf/fmp8.mf

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc doc

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.8 revision 0 with cabal2obs.
